char		BASE_PATH[100] = "";
char		TOP_IMAGE[300];
char		BOT_IMAGE[300];
char		DISPARITY_IMAGE[300];


#define PI 3.14159

int			starting_point = 0;		// 0: Facade Alignment 1: Cubic projection with Roating by pixel Rot
int			Save_CNN_input = 0;		// 0: Don't create CNN inputs (320*240 images with specified filename)  1: Create CNN input files

int			Rot_option = 0;
int			Rot;	// = 336;
//int			Rot = 0;	//Original

int canny1=50, canny2=200;

float		disp_scale	= 1000.0;
float		disp_offset	= -120; 

int			max_radius = 15;

float		baseline = 0.27;	

int			colour_disparity_flag;		//0: grey scale disparity 1: colour scale disparity 
CvSize		CNN_Input_Size;



//////////////////////////

int			PLANE_FITTING = 2;		//0: non-approximation 1:approximate marked regions into plane 2: align to dominat axis

//Params for plane fitting
//int			min_vertice = 30;
int			min_vertice = 100;
float		min_dist_to_plane = 0.5;
//float		dominant_plane = 0.85;	//Threshold for dominant plane detection
float		dominant_plane = 0.9;	//Threshold for dominant plane detection
float		cube_resolusion = 0.05;		//mesh resolution for 3D plane fitting (when TRIANGULATION==2). in meter
float		cube_max_resolusion = 0;	//maximum triangle size for mesh generation for z planes (when TRIANGULATION==2) If its 0, not limit in large triangle
int			plane_mesh_size = 1;		//number of vertices for each direction
int			ground_plane_mesh_size = 1;		//number of vertices for each direction for ground plane
int			Expansion_range = 5;		//expand regions into border in marker expension, plane expansion range in planar mesh reconstruction
int			max_ground_range = 15;	// maximum range of the groundplane in m

int			TRIANGULATION = 2;			//0:irregular mesh with verteces on region borders  1:regular mesh with step_l 
										//2: 3D planes aligned to dominant axis with step_s
bool		REMOVE_CONNECTION = 1;		//remove region connections in mesh generation (to all separate pieces)
bool		DOMINANT_PLANE_ONLY = 1;	//remove meshes except dominant planes
bool		FIXED_MESH_SIZE = 0;		//0:variable mesh size with plane_mesh_size per plane  1: regular mesh as cube_resolusion

bool		SELECTED_PLANE_ONLY = 1;	//REconstructed manually selected planes only
int			CONNECT_PLANES = 2;			//0: use original planes 1: Merge close planes only (for automatic segmentation CVIU) 2: Connect planes only 3: Merge close planes and connect planes
float		merge_range = 0.5;			// when CONNECT_PLANES == 1 or 3. set a threshold for merging close regions (distance between two planes. in meter
bool		USE_CUBE_TEXTURE =0;		// 0: use spherical image for uv texture mapping. 1: use cube projection image (only for CONNECT_PLANES)
int			OBJ_SAVE = 0;				//0: obj file, 1: off file 2: off vertex only

//mesh generation range
int			start_long	= 0;		//for partial rendering - starting and ending degree
int			end_long	= 359;		
int			start_lat	= 5;
int			end_lat		= 155;
int			inf_border	= 160;

//int			step_s=20, step_l=50;	//triagulateion steps for normal and marked regions
int			step_s=2, step_l=5;	//triagulateion steps for normal and marked regions
